### Class

# Shell AppUsage

#### Description [src]

    final class Shell.AppUsage : GObject.Object
    {
      /* No available fields */
    }

Track application usage/state data

This class maintains some usage and state statistics for applications by keeping track of the approximate time an application’s windows are focused, as well as the last workspace it was seen on. This time tracking is implemented by watching for focus notifications, and computing a time delta between them. Also we watch the GNOME Session “StatusChanged” signal which by default is emitted after 5 minutes to signify idle.

#### Ancestors

- GObject

#### Functions

###### shell_app_usage_get_default

No description available.

#### Instance methods

###### shell_app_usage_compare

Compare `id_a` and `id_b` based on frequency of use.

###### shell_app_usage_get_most_used

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ShellAppUsageClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.